Subject: Re: [weirds] Comments on draft-ietf-weirds-rdap-query-06

From: "Hollenbeck, Scott" <[email-masked]>
Date: Mon, 30 Sep 2013 13:57:37 +0000

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Ernie Dainow
> Sent: Tuesday, August 20, 2013 11:54 AM
> To: [email-masked]
> Subject: [weirds] Comments on draft-ietf-weirds-rdap-query-06
> 
> 3.1.2. where XXX is an asplain autonomous system number [RFC5396].
> There were several suggestions on the previous draft about improved
> wording for "asplain". The most consistent change would be to use the
> wording in 3.1, "an AS Plain autonomous system number".
> 
> 3.2.1. Domain Search
> Domain search requires a qualifier, ldhName or unicodeName. So the
> client has to figure out what type of name is being searched. This is
> inconsistent with domain lookup, where the server is expected to
> distinguish between ldh and unicode names, and there is no work for the
> client.
> 
> 3.2.3. Entity Search
> Entity lookup is by handle, but search is by name. This seems somewhat
> inconsistent, but practical, since search by name is generally more
> useful. For more completeness, perhaps there should also be a search by
> handle. It is supported by some existing whois servers. See for
> example,
> whois -h whois.pir.org contact 35975136-%

I'm making changes to rdap-query to address each of these issues.

Scott